VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CVariables"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'****************************************************
'* CVariables.cls                                   *
'* variables collection for use in parser           *
'* Programmed: Konrad Rudolph (Mad Rat Pro.)        *
'* Last Change: 25.08.2003 15:20                    *
'* Version: 1.0.0                                   *
'****************************************************
Option Explicit

Private m_Vars  As Collection
'----------------------------------------------------

Private Sub Class_Initialize()
    Set m_Vars = New Collection
End Sub

Private Sub Class_Terminate()
    Set m_Vars = Nothing
End Sub
'----------------------------------------------------

Public Sub Add( _
  VarName As String, _
  Optional Value As Double _
)
    Call m_Vars.Add(Value, VarName)
End Sub

Public Sub Remove(VarName As String)
    Call m_Vars.Remove(VarName)
End Sub

Public Sub Clear()
    Set m_Vars = New Collection
End Sub
'----------------------------------------------------

Public Property Get Value(VarName As String) As Double
    Value = m_Vars.Item(VarName)
End Property

Public Property Let Value(VarName As String, RHS As Double)
    Call m_Vars.Remove(VarName)
    Call m_Vars.Add(RHS, VarName)
End Property
