VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CEnums"
Attribute VB_GlobalNameSpace = True
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'****************************************************
'* CEnums.cls                                       *
'* contains some enumerations and type definitons   *
'* Programmed: Konrad Rudolph (Mad Rat Pro.)        *
'* Last Change: 25.08.2003 15:27                    *
'* Version: 1.0.0                                   *
'****************************************************
Option Explicit

Public Enum hWnd
    [_]
End Enum
Public Enum hDC
    [_]
End Enum
Public Enum HANDLE
    [_]
End Enum
Public Enum HFILE
    [_]
End Enum
Public Enum POINTER
    [_]
End Enum

Public Enum BOOL
    [False] = 0
    [True] = 1
End Enum

Public Enum PenStyles
    PS_SOLID = 0
    PS_DASH = 1
    PS_DOT = 2
    PS_DASHDOT = 3
    PS_DASHDOTDOT = 4
    PS_NULL = 5
    PS_INSIDEFRAME = 6
End Enum

Public Enum BrushStyles
    BS_DIBPATTERN = 5
    BS_DIBPATTERN8X8 = 8
    BS_DIBPATTERNPT = 6
    BS_HATCHED = 2
    BS_HOLLOW = 1
    BS_NULL = 1
    BS_PATTERN = 3
    BS_PATTERN8X8 = 7
    BS_SOLID = 0
End Enum

Public Enum HatchStyle
    HS_HORIZONTAL = 0
    HS_VERTICAL = 1
    HS_FDIAGONAL = 2
    HS_BDIAGONAL = 3
    HS_CROSS = 4
    HS_DIAGCROSS = 5
End Enum

Public Enum FontWeight
    FW_DONTCARE = 0
    FW_THIN = 100
    FW_EXTRALIGHT = 200
    FW_ULTRALIGHT = 200
    FW_LIGHT = 300
    FW_NORMAL = 400
    FW_REGULAR = 400
    FW_MEDIUM = 500
    FW_SEMIBOLD = 600
    FW_DEMIBOLD = 600
    FW_BOLD = 700
    FW_EXTRABOLD = 800
    FW_ULTRABOLD = 800
    FW_HEAVY = 900
    FW_BLACK = 900
End Enum

Public Enum CharSet
    ANSI_CHARSET = 0
    DEFAULT_CHARSET = 1
    OEM_CHARSET = 255
'    BALTIC_CHARSET
'    CHINESEBIG5_CHARSET
'    DEFAULT_CHARSET
'    EASTEUROPE_CHARSET
'    GB2312_CHARSET
'    GREEK_CHARSET
'    HANGUL_CHARSET
'    MAC_CHARSET
'    OEM_CHARSET
'    RUSSIAN_CHARSET
'    SHIFTJIS_CHARSET
'    SYMBOL_CHARSET
'    TURKISH_CHARSET
'    VIETNAMESE_CHARSET
End Enum

Public Enum OutputPrecision
    OUT_DEFAULT_PRECIS = 0
    OUT_STRING_PRECIS = 1
    OUT_CHARACTER_PRECIS = 2
    OUT_STROKE_PRECIS = 3
    OUT_TT_PRECIS = 4
    OUT_DEVICE_PRECIS = 5
    OUT_RASTER_PRECIS = 6
    OUT_TT_ONLY_PRECIS = 7
    OUT_OUTLINE_PRECIS = 8
    OUT_SCREEN_OUTLINE_PRECIS = 9
    OUT_PS_ONLY_PRECIS = 10
End Enum

Public Enum ClipPrecision
    CLIP_DEFAULT_PRECIS = 0
    CLIP_CHARACTER_PRECIS = 1
    CLIP_STROKE_PRECIS = 2
    CLIP_MASK = &HF
    CLIP_LH_ANGLES = 16
    CLIP_TT_ALWAYS = 32
    CLIP_EMBEDDED = 128
End Enum

Public Enum FontQuality
    DEFAULT_QUALITY = 0
    DRAFT_QUALITY = 1
    PROOF_QUALITY = 2
    NONANTIALIASED_QUALITY = 3
    ANTIALIASED_QUALITY = 4
End Enum
'----------------------------------------------------

Public Type RECT
    Left            As Long
    Top             As Long
    Right           As Long
    Bottom          As Long
End Type

Public Type POINTAPI
    x               As Long
    y               As Long
End Type

Public Type POINT3D
    x               As Double
    y               As Double
    z               As Double
End Type

Public Type LOGBRUSH
    lbStyle         As Long
    lbColor         As Long
    lbHatch         As Long
End Type
'----------------------------------------------------

Private Const NH    As Long = 0
'----------------------------------------------------

'----------------------------------------------------
' NULL_HANDLE As HANDLE
' - returns 0
' used because AX-Dlls cannot export constants
'----------------------------------------------------
Public Property Get NULL_HANDLE() As HANDLE
    NULL_HANDLE = NH
End Property
