VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CConstructors"
Attribute VB_GlobalNameSpace = True
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'****************************************************
'* CConstructors.cls                                *
'* contains some class and structure constructors   *
'* Programmed: Konrad Rudolph (Mad Rat Pro.)        *
'* Last Change: 25.08.2003 15:55                    *
'* Version: 1.0.0                                   *
'****************************************************
Option Explicit

Public Function NewCDraw( _
  Target As Object _
) As CDraw
    Set NewCDraw = New CDraw
    
    Set NewCDraw.ViewPort = Target
End Function

Public Function NewCBackBuffer( _
  MirrorDC As hDC, _
  Width As Long, _
  Height As Long _
) As CBackBuffer
    Set NewCBackBuffer = New CBackBuffer
    
    Call NewCBackBuffer.CreateBuffer( _
        MirrorDC, _
        Width, _
        Height _
    )
End Function

Public Function NewCGradient( _
  Target As CDraw _
) As CGradient
    Set NewCGradient = New CGradient
    
    Set NewCGradient.Target = Target
End Function

Public Function NewCBitMap( _
  Target As CDraw _
) As CBitMap
    Set NewCBitMap = New CBitMap
    
    Set NewCBitMap.Target = Target
End Function

Public Function NewCSpace( _
  Target As CDraw, _
  Optional WireColour As OLE_COLOR = vbWhite _
) As CSpace
    Set NewCSpace = New CSpace
    
    Call NewCSpace.Create3DSpace(Target, WireColour)
End Function
'----------------------------------------------------

Public Function MakeVertex( _
  Optional x As Double = 0, _
  Optional y As Double = 0, _
  Optional z As Double = 0 _
) As POINT3D
    With MakeVertex
        .x = x
        .y = y
        .z = z
    End With
End Function

Public Function MakeRect( _
  Optional Left As Long = 0, _
  Optional Top As Long = 0, _
  Optional Right As Long = 0, _
  Optional Bottom As Long = 0 _
) As RECT
    With MakeRect
        .Left = Left
        .Top = Top
        .Right = Right
        .Bottom = Bottom
    End With
End Function

