Attribute VB_Name = "modClasses"
'****************************************************
'* modClasses.bas                                   *
'* contains some class and structure constructors   *
'* Programmed: Konrad Rudolph (Mad Rat Pro.)        *
'* Last Change: 25.08.2003 15:22                    *
'* Version: 1.0.0                                   *
'****************************************************
Option Explicit

Public Function NewCDraw( _
  Target As Object _
) As CDraw
    Set NewCDraw = New CDraw
    
    Set NewCDraw.ViewPort = Target
End Function

Public Function NewCBackBuffer( _
  MirrorDC As hDC, _
  Width As Long, _
  Height As Long _
) As CBackBuffer
    Set NewCBackBuffer = New CBackBuffer
    
    Call NewCBackBuffer.CreateBuffer( _
        MirrorDC, _
        Width, _
        Height _
    )
End Function

Public Function NewCGradient( _
  Target As CDraw _
) As CGradient
    Set NewCGradient = New CGradient
    
    Set NewCGradient.Target = Target
End Function

Public Function NewCBitMap( _
  Target As CDraw _
) As CBitMap
    Set NewCBitMap = New CBitMap
    
    Set NewCBitMap.Target = Target
End Function

Public Function NewCSpace( _
  Target As CDraw, _
  Optional WireColour As OLE_COLOR = vbWhite _
) As CSpace
    Set NewCSpace = New CSpace
    
    Call NewCSpace.Create3DSpace(Target, WireColour)
End Function
'----------------------------------------------------

Public Function MakeVertex( _
  Optional x As Double = 0, _
  Optional y As Double = 0, _
  Optional z As Double = 0 _
) As POINT3D
    With MakeVertex
        .x = x
        .y = y
        .z = z
    End With
End Function
