Attribute VB_Name = "modDrawingObjects"
'****************************************************
'* modDrawingObjects.bas                            *
'* contains drawing API declarations                *
'* Programmed: Konrad Rudolph (Mad Rat Pro.)        *
'* Last Change: 25.08.2003 15:23                    *
'* Version: 1.0.0                                   *
'****************************************************
Option Explicit

Public Declare Function MoveToEx Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal x As Long, _
  ByVal y As Long, _
  ByVal lpPoint As Any _
) As Long
Public Declare Function LineTo Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal x As Long, _
  ByVal y As Long _
) As Long

Public Declare Function Arc Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal X1 As Long, _
  ByVal Y1 As Long, _
  ByVal X2 As Long, _
  ByVal Y2 As Long, _
  ByVal X3 As Long, _
  ByVal Y3 As Long, _
  ByVal X4 As Long, _
  ByVal Y4 As Long _
) As Long
Public Declare Function Chord Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal X1 As Long, _
  ByVal Y1 As Long, _
  ByVal X2 As Long, _
  ByVal Y2 As Long, _
  ByVal X3 As Long, _
  ByVal Y3 As Long, _
  ByVal X4 As Long, _
  ByVal Y4 As Long _
) As Long
Public Declare Function Ellipse Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal X1 As Long, _
  ByVal Y1 As Long, _
  ByVal X2 As Long, _
  ByVal Y2 As Long _
) As Long
Public Declare Function Pie Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal X1 As Long, _
  ByVal Y1 As Long, _
  ByVal X2 As Long, _
  ByVal Y2 As Long, _
  ByVal X3 As Long, _
  ByVal Y3 As Long, _
  ByVal X4 As Long, _
  ByVal Y4 As Long _
) As Long
Public Declare Function PolyBezier Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  lppt As POINTAPI, _
  ByVal cPoints As Long _
) As Long

Public Declare Function Polygon Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal lpPoint As POINTER, _
  ByVal nCount As Long _
) As Long
Public Declare Function Polyline Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal lpPoint As POINTER, _
  ByVal nCount As Long _
) As Long
Public Declare Function Rectangle Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal X1 As Long, _
  ByVal Y1 As Long, _
  ByVal X2 As Long, _
  ByVal Y2 As Long _
) As Long
Public Declare Function RoundRect Lib "gdi32.dll" ( _
  ByVal hDC As hDC, _
  ByVal X1 As Long, _
  ByVal Y1 As Long, _
  ByVal X2 As Long, _
  ByVal Y2 As Long, _
  ByVal X3 As Long, _
  ByVal Y3 As Long _
) As Long
